## org.apache.xerces.impl.xpath
Class XPath.Axis

    java.lang.Object
      |
      +--org.apache.xerces.impl.xpath.XPath.Axis

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  XPath

public static class XPath.Axis
extends java.lang.Object
implements java.lang.Cloneable

Axis.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Author:
  Andy Clark, IBM

Field Summary
`static short` `ATTRIBUTE` Type: attribute.
`static short` `CHILD` Type: child.
`static short` `DESCENDANT` Type: descendant.
`static short` `SELF` Type: self.
`short` `type` Axis type.

Constructor Summary
`` `XPath.Axis(short type)` Constructs an axis with the specified type.
`protected` `XPath.Axis(XPath.Axis axis)` Copy constructor.

Method Summary
`java.lang.Object` `clone()` Returns a clone of this object.
`java.lang.String` `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHILD

    public static final short CHILD

  Type: child.

### ATTRIBUTE

    public static final short ATTRIBUTE

  Type: attribute.

### SELF

    public static final short SELF

  Type: self.

### DESCENDANT

    public static final short DESCENDANT

  Type: descendant.

### type

    public final short type

  Axis type.

Constructor Detail

### XPath.Axis

    public XPath.Axis(short type)

  Constructs an axis with the specified type.

### XPath.Axis

    protected XPath.Axis(XPath.Axis axis)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Returns a clone of this object.
  Overrides:
    `clone` in class `java.lang.Object`

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.